GET
/settings/checkout-recoveryReturns the checkout recovery settings for your account.
These control whether Paddle emails customers who abandon a checkout, and the discount that the email offers.
Requires
checkout_settings.read permission.Response (200)
dataobjectrequired
Represents the checkout recovery settings for your account.
enabledbooleanrequired
Whether Paddle emails customers who abandon a checkout.
discountobject | nullrequired
Discount offered in the recovery email, or
null when no discount is offered.typestringrequired
Kind of discount.
percentage is the only kind.Values
percentageDiscount is a percentage of the transaction total.
amountstringrequired
Example:
10Percentage taken off the transaction total, as a string containing a whole number from 1 to 100.
"10" means 10%.
Pattern:
^(100|[1-9][0-9]?)$metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "enabled": true, "discount": { "type": "percentage", "amount": "10" } }, "meta": { "request_id": "d1a2f3b4-5c6d-4e7f-8a9b-0c1d2e3f4a5b" }}